| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RTPSParticipantAttributes Class Reference
eProsima Fast DDS API Reference » RTPS » RTPS Attributes Module.

Class RTPSParticipantAttributes used to define different aspects of a RTPSParticipant. More...

`#include <RTPSParticipantAttributes.hpp>`

## Public Member Functions

| RTPSParticipantAttributes ()=default
virtual | ~RTPSParticipantAttributes ()=default
bool | operator== (const RTPSParticipantAttributes &b) const
FASTDDS_EXPORTED_API void | setup_transports (fastdds::rtps::BuiltinTransports transports, const fastdds::rtps::BuiltinTransportsOptions &options=fastdds::rtps::BuiltinTransportsOptions())
| Provides a way of easily configuring transport related configuration on certain pre-defined scenarios with certain options.
FASTDDS_EXPORTED_API bool | ReadguidPrefix (const char *pfx)
void | setName (const char *nam)
| Set the name of the participant.
const char * | getName () const
| Get the name of the participant.

## Public Attributes

LocatorList_t | defaultUnicastLocatorList
| Default list of Unicast Locators to be used for any Endpoint defined inside this RTPSParticipant in the case that it was defined with NO UnicastLocators.
LocatorList_t | defaultMulticastLocatorList
| Default list of Multicast Locators to be used for any Endpoint defined inside this RTPSParticipant in the case that it was defined with NO MulticastLocators.
fastdds::rtps::ExternalLocators | default_external_unicast_locators
| The collection of external locators to use for communication on user created topics.
bool | ignore_non_matching_locators = false
| Whether locators that don't match with the announced locators should be kept.
uint32_t | sendSocketBufferSize = 0
| Send socket buffer size for the send resource.
uint32_t | listenSocketBufferSize = 0
| Listen socket buffer for all listen resources.
fastdds::rtps::NetmaskFilterKind | netmaskFilter = fastdds::rtps::NetmaskFilterKind::AUTO
| Netmask filter configuration.
GuidPrefix_t | prefix
| Optionally allows user to define the GuidPrefix_t.
BuiltinAttributes | builtin
| Builtin parameters.
PortParameters | port
| Port Parameters.
std::vector< octet > | userData
| User Data of the participant.
int32_t | participantID = -1
| Participant ID.
std::string | easy_mode_ip = ""
| IP of the Host where master Server is located (EASY_MODE context).
std::vector< std::shared_ptr< fastdds::rtps::TransportDescriptorInterface > > | userTransports
| User defined transports to use alongside or in place of builtins.
bool | useBuiltinTransports = true
| Set as false to disable the creation of the default transports.
RTPSParticipantAllocationAttributes | allocation
| Holds allocation limits affecting collections managed by a participant.
PropertyPolicy | properties
| Property policies.
FlowControllerDescriptorList | flow_controllers
| Flow controllers.
fastdds::rtps::ThreadSettings | builtin_controllers_sender_thread
| Thread settings for the builtin flow controllers sender threads.
fastdds::rtps::ThreadSettings | timed_events_thread
| Thread settings for the timed events thread.
fastdds::rtps::ThreadSettings | discovery_server_thread
| Thread settings for the discovery server thread.
fastdds::rtps::ThreadSettings | typelookup_service_thread
| Thread settings for the builtin TypeLookup service requests and replies threads.
fastdds::rtps::ThreadSettings | builtin_transports_reception_threads
| Thread settings for the builtin transports reception threads.
uint32_t | max_msg_size_no_frag = 0
| Maximum message size used to avoid fragmentation, set ONLY in LARGE_DATA.

## Detailed Description

Class RTPSParticipantAttributes used to define different aspects of a RTPSParticipant.

## Constructor & Destructor Documentation

## ◆ RTPSParticipantAttributes()

RTPSParticipantAttributes | ( |  | ) |

default

## ◆ ~RTPSParticipantAttributes()

virtual ~RTPSParticipantAttributes | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ getName()

const char * getName | ( |  | ) | const

inline

Get the name of the participant.

## ◆ operator==()

bool operator== | ( | const RTPSParticipantAttributes & | b | ) | const

inline

## ◆ ReadguidPrefix()

FASTDDS_EXPORTED_API bool ReadguidPrefix | ( | const char * | pfx | ) |

inline

## ◆ setName()

void setName | ( | const char * | nam | ) |

inline

Set the name of the participant.

## ◆ setup_transports()

FASTDDS_EXPORTED_API void setup_transports | ( | fastdds::rtps::BuiltinTransports | transports,
|  | const fastdds::rtps::BuiltinTransportsOptions & | options = fastdds::rtps::BuiltinTransportsOptions() )

Provides a way of easily configuring transport related configuration on certain pre-defined scenarios with certain options.

Parameters

  transports | Defines the transport configuration scenario to setup.
  options | Defines the options to be used in the transport configuration.

## Member Data Documentation

## ◆ allocation

RTPSParticipantAllocationAttributes allocation

Holds allocation limits affecting collections managed by a participant.

## ◆ builtin

BuiltinAttributes builtin

Builtin parameters.

## ◆ builtin_controllers_sender_thread

fastdds::rtps::ThreadSettings builtin_controllers_sender_thread

Thread settings for the builtin flow controllers sender threads.

## ◆ builtin_transports_reception_threads

fastdds::rtps::ThreadSettings builtin_transports_reception_threads

Thread settings for the builtin transports reception threads.

## ◆ default_external_unicast_locators

fastdds::rtps::ExternalLocators default_external_unicast_locators

The collection of external locators to use for communication on user created topics.

## ◆ defaultMulticastLocatorList

LocatorList_t defaultMulticastLocatorList

Default list of Multicast Locators to be used for any Endpoint defined inside this RTPSParticipant in the case that it was defined with NO MulticastLocators.

This is usually left empty.

## ◆ defaultUnicastLocatorList

LocatorList_t defaultUnicastLocatorList

Default list of Unicast Locators to be used for any Endpoint defined inside this RTPSParticipant in the case that it was defined with NO UnicastLocators.

At least ONE locator should be included in this list.

## ◆ discovery_server_thread

fastdds::rtps::ThreadSettings discovery_server_thread

Thread settings for the discovery server thread.

## ◆ easy_mode_ip

std::string easy_mode_ip = ""

IP of the Host where master Server is located (EASY_MODE context).

## ◆ flow_controllers

FlowControllerDescriptorList flow_controllers

Flow controllers.

## ◆ ignore_non_matching_locators

bool ignore_non_matching_locators = false

Whether locators that don't match with the announced locators should be kept.

## ◆ listenSocketBufferSize

uint32_t listenSocketBufferSize = 0

Listen socket buffer for all listen resources.

Zero value indicates to use default system buffer size. Default value: 0.

## ◆ max_msg_size_no_frag

uint32_t max_msg_size_no_frag = 0

Maximum message size used to avoid fragmentation, set ONLY in LARGE_DATA.

If this value is not zero, the network factory will allow the initialization of UDP transports with maxMessageSize higher than 65500K.

## ◆ netmaskFilter

fastdds::rtps::NetmaskFilterKind netmaskFilter = fastdds::rtps::NetmaskFilterKind::AUTO

Netmask filter configuration.

## ◆ participantID

int32_t participantID = -1

Participant ID.

## ◆ port

PortParameters port

Port Parameters.

## ◆ prefix

GuidPrefix_t prefix

Optionally allows user to define the GuidPrefix_t.

## ◆ properties

PropertyPolicy properties

Property policies.

## ◆ sendSocketBufferSize

uint32_t sendSocketBufferSize = 0

Send socket buffer size for the send resource.

Zero value indicates to use default system buffer size. Default value: 0.

## ◆ timed_events_thread

fastdds::rtps::ThreadSettings timed_events_thread

Thread settings for the timed events thread.

## ◆ typelookup_service_thread

fastdds::rtps::ThreadSettings typelookup_service_thread

Thread settings for the builtin TypeLookup service requests and replies threads.

## ◆ useBuiltinTransports

bool useBuiltinTransports = true

Set as false to disable the creation of the default transports.

## ◆ userData

std::vector<octet> userData

User Data of the participant.

## ◆ userTransports

std::vector<std::shared_ptr<fastdds::rtps::TransportDescriptorInterface> > userTransports

User defined transports to use alongside or in place of builtins.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/attributes/RTPSParticipantAttributes.hpp